VIGRA - Size2D class Reference

[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| Size2D Class Reference |
--- | --- | ---

Two dimensional size object. More...

`#include "vigra/diff2d.hxx"`

Inheritance diagram for Size2D:

List of all members.

## Public Methods
| Size2D ()
| Size2D (int width, int height)
| Size2D (Size2D const &v)
| Size2D (Diff2D const &v)
int | width () const
int | height () const
void | setWidth (int w)
void | setHeight (int h)
int | area () const
Size2D & | operator= (Diff2D const &v)
Size2D | operator- () const
Size2D & | operator+= (Diff2D const &offset)
Size2D & | operator-= (Diff2D const &offset)

## Detailed Description

Two dimensional size object.

Specializes Diff2D for the specification of a 2-dimensional extent, in contrast to a point or position (for the latter use Point2D).

        // create an image that is 10 pixels squared
        Image new_image(Size2D(10,10));

#include "vigra/utilities.hxx"
Namespace: vigra

## Constructor & Destructor Documentation

Size2D | ( |  | ) | `[inline]`

| Default Constructor. Init point at position (0,0)

Size2D | ( | int | width,
|  | int | height
| ) | `[inline]`

| Construct point at given position.

Size2D | ( | Size2D const & | v | ) | `[inline]`

| Copy Constructor.

Size2D | ( | Diff2D const & | v | ) | `[inline, explicit]`

| Explicit conversion Constructor.

## Member Function Documentation

int area | ( |  | ) | const`[inline]`

| Returns width()*height(), the area of a rectangle of this size.

int height | ( |  | ) | const`[inline]`

| Query the height.

Size2D& operator+= | ( | Diff2D const & | offset | ) | `[inline]`

| Increase size by specified offset. Reimplemented from Diff2D.

Size2D operator- | ( |  | ) | const`[inline]`

| Unary negation. Reimplemented from Diff2D.

Size2D& operator-= | ( | Diff2D const & | offset | ) | `[inline]`

| Decrease size by specified offset. Reimplemented from Diff2D.

Size2D& operator= | ( | Diff2D const & | v | ) | `[inline]`

| Copy Assigment. Reimplemented from Diff2D.

void setHeight | ( | int | h | ) | `[inline]`

| Change the height.

void setWidth | ( | int | w | ) | `[inline]`

| Change the width.

int width | ( |  | ) | const`[inline]`

| Query the width.

The documentation for this class was generated from the following file:

- vigra/diff2d.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.5.0 (7 Dec 2006)